The Plainswalker is almost similar to the Human Treasure Hunter. However DEX is very important for this occupation, so it can be said that their basic abilities are better compared to Treasure Hunters. Also, the Plainswalker have certain qualities that other occupations have which help its party. He acts as an Assassin during Siege Battle. He greatly damages opponents with sudden blows.
He has different skills that other occupations do not have. He can lure an enemy from its race and he can act dead during emergencies.
To be a Plainswalker, your level must be over 40 and you need to collect the Mark of the Seeker, the Mark of Life, and the Mark of the Searcher.
Ask about marks.
Return